
'use strict';



describe('test context Parameters', function() {

  beforeEach(module('akio.webbox'));
  beforeEach(module('akio.webbox.filters'));

  afterEach(function() {
    sessionStorage.clear();
  });

  window.profileParameters = {
    frmNom: 'jhon',
    frmPrenom: 'smith',
    frmAdresseEmail1: 'jhon.smith@gmail.com',
    frmTitreDeLaPage: 'Akio Web Box v2 integration page'
  };
  var transformedProfileparameters;

  it('should transform the json context parameters object', inject(
    function($filter) {
      transformedProfileparameters = $filter( 'nameValuePairs' )( window.profileParameters );
      expect(transformedProfileparameters[0].name).toEqual('frmNom');
      expect(transformedProfileparameters[0].value).toEqual('jhon');
      expect(transformedProfileparameters[1].name).toEqual('frmPrenom');
      expect(transformedProfileparameters[1].value).toEqual('smith');
      expect(transformedProfileparameters[2].name).toEqual('frmAdresseEmail1');
      expect(transformedProfileparameters[2].value).toEqual('jhon.smith@gmail.com');

    }
  ));

});
