'use strict';

describe('directive: window', function() {
  var element,element2,element3,compile, $scope, state, boxParams;

  beforeEach(module('akio.webbox'));
  beforeEach(module('app/layout/window/window.tpl.html'));
  beforeEach(module('app/layout/window/titlebar.tpl.html'));
  beforeEach(module('app/notification/notification.tpl.html'));


  beforeEach(inject(function($rootScope, $compile,_state_, _boxParams_) {
    $scope = $rootScope.$new();
    compile = $compile;
    state=_state_;
    boxParams=_boxParams_;
    state.sync({});

    var data ={
      'parameters': {
        'TOKEN_AUTHENTICATION'        : '1bba5583-d068-496d-a9d8-a5bb2139c97c',
        'AIP_SERVICE_BASE_URL'        : 'http://uicdev/akio-cim-aip/api/v1',
        'XDOMAIN_IFRAME_URL'          : 'http://uicdev/iframe.html',
        'XDOMAIN_IFRAME_ORIGIN'       : '*',
        'SERVER_URL'                  : '',
        'HTTP_RETRY_ON_FAILURE_COUNT' : 2,
        'HTTP_RETRY_ON_FAILURE_DELAY' : 2000,

        'RULES':{
          'BOX_DELAY_BEFORE_DISPLAY': 0,
          'BOX_HIDDEN_WHEN_NO_MEDIA': true
        },
        'I18N'  : 'webBrowser',
        'COMMUNICATION_ERROR_MESSAGE': 'error'
      }
    };

    element = compile(angular.element('<awb-window></awb-window>'))($scope);
    element2 = compile(angular.element('<awb-window-body></awb-window-body>'))($scope);
    element3 = compile(angular.element('<awb-tabs></awb-tabs>'))($scope);

    $scope.state = state.sync({});
    $scope.state.data=_.merge(boxParams, data.parameters);

  }));

  it('should create an html element', function(){
    expect(element).toBeDefined();
  });

  it('should create an html element', function(){
    expect(element2).toBeDefined();
  });

  it('should create an html element', function(){
    expect(element3).toBeDefined();
  });

});
