'use strict';

/**
 * Testing AIPConnector
 * Since tests are only run against PhantomJS, the connector will always be CORSConnector
 */
describe('Test AIPConnector', function () {

    /**
     * Testing ping
     */
    describe('ping', function () {

        beforeEach(module('akio.webbox'));

        var AIPConnector, $rootScope, state;
        beforeEach(inject(function (_aip_, _$rootScope_, _state_) {
          AIPConnector = _aip_;
          $rootScope = _$rootScope_;
          state = _state_;
        }));

        beforeEach(function () {
          jasmine.Ajax.install();
          state.sync({});
        });

        afterEach(function () {
          jasmine.Ajax.uninstall();
        });

        it('should send a request to ping the ip connector in cwm mode', function () {

          AIPConnector.ping()
            .then(function(result){
              expect(result).not.toBe(null);

            }
          );

          $rootScope.$apply();

        });

      }
    );
  }
);
