'use strict';

describe('test notification controller', function() {


  beforeEach(module('akio.webbox'));

  beforeEach(function() {
    if(!window.Akio) { window.Akio={}; }
    if(!window.Akio.Webbox) { window.Akio.Webbox={}; }
    if(!window.Akio.Webbox.settings) { window.Akio.Webbox.settings={}; }
    if(!window.Akio.Webbox.settings.parameters) { window.Akio.Webbox.settings.parameters={}; }
    if(!window.Akio.Webbox.settings.parameters.I18N) { window.Akio.Webbox.settings.parameters.I18N='"fr"'; }
  });

  var $controller;

  beforeEach(inject(function(_$controller_){
    $controller = _$controller_;
  }));

  afterEach(function() {
    sessionStorage.clear();
  });

  describe('my chat controller function',function(){
    it('defined a list of notifications',function(){
      var $scope = {};
      $controller('NotificationCtrl',{$scope:$scope});
      expect($scope.notifications).toBeDefined();
    });
  });
});
