'use strict';

/**
 * directive used to fixed an angular bug on ie9
 */

angular.module('akio.webbox')

  .directive('fixIeSelect', function () {
    return {
      restrict: 'A',
      scope: {
        options: '=fixIeSelect'
      },
      controller: ['$scope', '$element',
        function ($scope, $element) {
          // Redisplay the select when the options changed
          var unwatch = $scope.$watch('options', function () {
            setTimeout(
              function(){
                $element.css('width',$element.css('width'));
              },0);
          });
          $element.on('$destroy', unwatch);
        }
      ]
    };
  });
