'use strict';

angular.module('akio.webbox')

  .directive('awbChatForm',['determineClient', function(determineClient) {
    var addFocusBlurListener = function(){
      var $inputEl = $('#frm_email');
      var $chatFormWindow  = $('.awb-tabs-form');
      var $widget= $('#awbWidget');

      function resizeScreenHeight(){
        if (determineClient.device ==='smartphone') {
          if (determineClient.os === 'iOS') {
            if (determineClient.viewport.height > 600) {
              $chatFormWindow.css('height', '52vh');
              $widget.css('bottom', '40%');
            } else {
              $chatFormWindow.css('height', '42vh');
              $widget.css('bottom', '50%');
            }
          } else if (determineClient.os === 'AndroidOS') {
            $chatFormWindow.css('height', '47vh');
          }
          window.scrollTo(0, 1);
        }
      }

      function fitToOriginalSize(){
        $chatFormWindow.height('93vh');
        $widget.css('bottom', '0px');        //window.scrollTo(0,1);
      }

      $inputEl
        .focus(function() {
          resizeScreenHeight();
        })
        .blur(function() {
          fitToOriginalSize();
        });
    };
    var addMobileSpecificFunction = function(){
      if(determineClient.device === 'smartphone'){
        var timeForAnimation = 400;
        setTimeout(function(){addFocusBlurListener();},timeForAnimation);
      }
    };



    return {
      //require: "ngModel",
      restrict: 'AE',
      templateUrl: 'app/layout/window/chatForm.tpl.html',
      link:function(){
        addMobileSpecificFunction();
      }
    };
  }]);
