'use strict';

/**
 * NORTH region container
 */
angular.module('akio.webbox')
  .directive('awbNorthRegionContainer', ['state', 'boxParams', 'MediumType',
    function( state, boxParams, MediumType ){

      var link = function( scope){

        scope.isChat = state.getCenterRegion(['mediumType']) === MediumType.MEDIUM_CHAT;

      };

      return {
        restrict: 'EA',
        replace: true,
        link: link,
        templateUrl: 'app/layout/window/northRegionContainer.tpl.html'
      };
    }
  ]);
