
'use strict';

angular.module('akio.webbox')

  .directive('awbWcb', ['determineClient',function(determineClient) {

    var addFocusBlurListener = function(){
      var $inputEl = $('#awbWcbInput'),
          $wcbWindow  = $('.awb-wcb');

      function resizeScreenHeight(){
          if(determineClient.os==='iOS'){
            $wcbWindow.height(parent.window.innerHeight);
          }else{
            $wcbWindow.height('46vh');
          }
          $wcbWindow.css('bottom','0px');
        }

      function fitToOriginalSize(){
        $wcbWindow.height('93vh');
        $wcbWindow.css('bottom','0px');
        window.scrollTo(0,1);
      }

      $inputEl
        .focus(function() {
          resizeScreenHeight();
        })
        .blur(function() {
          fitToOriginalSize();
        });
    };
    var addMobileSpecificFunction = function(){
      if(determineClient.device === 'smartphone'){
        var timeForAnimation = 400;
        setTimeout(function(){addFocusBlurListener();},timeForAnimation);
      }
    };


    return {
      restrict: 'EA',
      templateUrl: 'app/media/wcb/wcb.tpl.html',
      link:function(){
        addMobileSpecificFunction();
      }
    };
  }]);

