'use strict';

/**
 * Notification bar
 */
angular.module('akio.webbox')
  .directive('awbNotificationbar', function(){

    var link=function( scope ){
      scope.getCls = function( notification ){
        var cls = [];

        if ( notification.isClickable() ){
          cls.push( 'awb-notif-clickable' );
          if ( notification.isCancellable() ){
            cls.push( 'awb-notif-cancellable' );
          }
        }

        if ( notification.isError() ){
          cls.push( 'awb-notif-error' );
        }

        return cls;
      };
    };

    return {
      restrict: 'EA',
      replace: true,
      templateUrl: 'app/notification/notification.tpl.html',
      link: link
    };
  });
