'use strict';
console.log(Akio.Webbox);

window.Akio = window.Akio || {};
Akio.Webbox = Akio.Webbox || {};
console.log(Akio.Webbox);

//var base = "./../";

var webboxLauncherUrl = document.getElementById('akioWebBoxLauncherUrl').src;
webboxLauncherUrl = webboxLauncherUrl.split('akio-webbox');

var base = webboxLauncherUrl[0]+"@@customer.box.folder/";

function injectApp(){

    // validate the configuration
    if (angular.isDefined(window.sessionStorage)){
        // session storage is supported by the browser
        // inject akio webbox base element into the page
        // the  element's directive is «AwbWrapper»
        angular.element(document.body).append('<div awb-widget id="awbWidget"></div>');
        // bootstrap the application with angularJS
        angular.bootstrap(
            document.getElementById('awbWidget'),
            ['akio.webbox']
        );
    }else{
        // The drawback of this solution is that the application is not loaded yet and so the locales.
        throw "Sorry, your browser do not support session storage! This functionality is required by the Akio Web Box.";
    }

}

require.config({
    paths: {
        'jQuery' : 'http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min',
        'angular': 'http://ajax.googleapis.com/ajax/libs/angularjs/1.2.18/angular.min',
        'box'    : base + "js/akio-webbox-core-6.4.0.min"
    },
    shim: {
        'jQuery': {
            exports: '$'
        },
        'angular': {
            exports: 'angular'
        },
        'box': {
            exports: 'box'
        }
    }
});

require(['jQuery', 'angular', 'box'], function ($, angular) {

    console.log('jQuery version:', $.fn.jquery);          // 1.10.2
    console.log('jQuery version:', angular.version.full); // 1.2.18

    window.Akio.Webbox.basePath = base;

            setTimeout(injectApp, 0);
//    yepnope.injectCss(base+'/styles/akio-webbox.css', function () {
//       yepnope.injectCss(base+'/styles/font-awesome.min.css', function () {
//        });
//    });

});
