'use strict';

describe('test chat controller', function() {

  beforeEach(module('akio.webbox'));

  var emojiCtrl, $scope,textScope;

  beforeEach( inject( function($controller,$rootScope) {
    $scope = $rootScope.$new();

    emojiCtrl = $controller('emojiCtrl',{$scope:$scope});

  }));


  afterEach(function () {
    emojiCtrl = null;
    $scope = null;
    textScope = null;
  });

  it('should be defined', function() {

    expect(emojiCtrl).toBeDefined();
  });

  it('should got a emojiClicked function to be defined', function() {

    $scope.emojiClicked('1F610','neutral_face');
    expect($scope.emojiClicked).toBeDefined();
  });

  it('should return a focus value', function() {
    var focusIndex =3;
    var codeHtml = '12<span></span>3456';
    var previousHtmlElem = null;
    var newFocusindex = $scope.adaptFocusIndex(codeHtml,focusIndex,previousHtmlElem);
    expect(newFocusindex.focusIndex).toEqual(3);
  });




});




