
'use strict';

describe('test form module controller', function() {

  beforeEach(module('akio.webbox'));
  beforeEach(module('app/media/form/form.tpl.html'));
  beforeEach(module('app/media/form/fieldset.tpl.html'));


  var formCtrl, $scope, state,ViewState,compile,element,labels;

  beforeEach( inject( function($controller,$rootScope, $log, aip, $q,$compile, MediumViewStatus, notification, MediumType, i18nMessages,_state_,_ViewState_) {
    $scope = $rootScope.$new();
    ViewState = _ViewState_;
    state= _state_;
    compile=$compile;
    labels = i18nMessages;

    //instantiate a new state
    state.sync({});
    $scope.selectedCountry = {alphaCode:'33'};

    //set a media result
    var mediaResult = {
      description : 'no description',
      estimatedWaitTime : 9,
      exposed :  true,
      icon : 'fa-comments-o',
      message : 'free call !',
      name : 'Wcb',
      priority : 1,
      renderer : 'BUTTON',
      status : 'OPEN_AVAILABLE',
      textInput : true,
      title : 'wcb295',
      type : 'WCB',
      uuid :'1001'
    };

    //set the media in the state
    state.mediaList.set(mediaResult);

    //force ViewState for make injectMessage works
    ViewState.STATE_NONE = '2';

    //awbTitlebar needed for a scope function
    element = compile(angular.element('<div style="height:300px;"><div awb-generic-form></div></div>'))($scope);

    //set the scope.state
    $scope.state = state;
    $scope.$apply();

    formCtrl = $controller('wcbCtrl',{$scope:$scope, $log:$log, state:state, aip:aip, $q:$q, MediumViewStatus:MediumViewStatus, notification:notification, MediumType:MediumType, labels:i18nMessages});

  }));

  it('should defined an element', function() {
    expect(element).toBeDefined();
  });
  it('should defined a controller', function() {
    expect(formCtrl).toBeDefined();
  });



});
